<?php

namespace Drupal\faker;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\faker\Annotation\FakerDataSampler;

/**
 * Class FakerDataSamplerManager.
 *
 * @package Drupal\faker
 */
class FakerDataSamplerManager extends DefaultPluginManager {

  /**
   * Creates the discovery object.
   *
   * @param \Traversable $namespaces
   *   An object that implements \Traversable which contains the root paths
   *   keyed by the corresponding namespace to look for plugin implementations.
   * @param \Drupal\Core\Cache\CacheBackendInterface $cache_backend
   *   Cache backend instance to use.
   * @param \Drupal\Core\Extension\ModuleHandlerInterface $module_handler
   *   The module handler to invoke the alter hook with.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    $subdir = 'Plugin/FakerDataSampler';
    $plugin_interface = FakerDataSamplerInterface::class;
    $plugin_definition_annotation_name = FakerDataSampler::class;
    parent::__construct($subdir, $namespaces, $module_handler, $plugin_interface, $plugin_definition_annotation_name);
    $this->alterInfo('faker_data_sampler_info');
    $this->setCacheBackend($cache_backend, 'faker_data_sampler_info');
  }

}
